Create report template 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project/{projectId}/report-templates

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
application/json

Body Required

  • isArchived boolean
  • reportVersion string

    Values are V1 or V2.

  • reportConfig string
  • reportLayout string
  • name string
  • id integer(int64)
  • description string
  • projectId integer(int64)
  • outputType string

    Values are PDF or EXCEL.

  • createdByUserId string(uuid)
  • reportType string

    Values are CHANGES, CUSTOM, CUSTOM_EXECUTIVE, DELAY_TABLE, EXECUTIVE_DASHBOARD, GANTT, NARRATIVE, PINK, PROJECT_SUMMARY, QUALITY, QUALITY_THRESHOLD, RFIS, SUBMITTALS, SUMMARY, SHOULD_START_AND_FINISH, TREND_CHARTS, or VELOCITY.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • isArchived boolean
    • reportVersion string

      Values are V1 or V2.

    • reportConfig string
    • reportLayout string
    • name string
    • id integer(int64)
    • description string
    • projectId integer(int64)
    • outputType string

      Values are PDF or EXCEL.

    • createdByUserId string(uuid)
    • reportType string

      Values are CHANGES, CUSTOM, CUSTOM_EXECUTIVE, DELAY_TABLE, EXECUTIVE_DASHBOARD, GANTT, NARRATIVE, PINK, PROJECT_SUMMARY, QUALITY, QUALITY_THRESHOLD, RFIS, SUBMITTALS, SUMMARY, SHOULD_START_AND_FINISH, TREND_CHARTS, or VELOCITY.

POST /project/{projectId}/report-templates
curl \
 --request POST 'https://live.smartpmtech.com/project/{projectId}/report-templates' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "isArchived": true,
  "reportVersion": "V1",
  "reportConfig": "string",
  "reportLayout": "string",
  "name": "string",
  "id": 42,
  "description": "string",
  "projectId": 42,
  "outputType": "PDF",
  "createdByUserId": "string",
  "reportType": "CHANGES"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "isArchived": true,
  "reportVersion": "V1",
  "reportConfig": "string",
  "reportLayout": "string",
  "name": "string",
  "id": 42,
  "description": "string",
  "projectId": 42,
  "outputType": "PDF",
  "createdByUserId": "string",
  "reportType": "CHANGES"
}
Response examples (200)
{
  "isArchived": true,
  "reportVersion": "V1",
  "reportConfig": "string",
  "reportLayout": "string",
  "name": "string",
  "id": 42,
  "description": "string",
  "projectId": 42,
  "outputType": "PDF",
  "createdByUserId": "string",
  "reportType": "CHANGES"
}